<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('patient_journeys', function (Blueprint $table) {
            $table->id();
            $table->string('patient_id');
            $table->string('user_id');
            $table->enum('health_issue', ['Yes', 'No']);
            $table->LongText('description');
            $table->string('country');
            $table->string('city');
            $table->string('speciality_id');
            $table->string('sub_speciality_id');
            $table->string('treatment_id');
            $table->string('hospital_id');
            $table->string('doctor_id');
            $table->string('review_reported_by');
            $table->enum('status', ['1', '0']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('patient_journeys');
    }
};
